Summary:   Non-interactive SSH authentication utility
Name:      sshpass
Version:   1.06
Release:   4
License:   GPLv2
Group:     Applications/Internet
Url:       http://sshpass.sourceforge.net/
Source0:   http://downloads.sourceforge.net/sshpass/%{name}-%{version}.tar.gz
Patch0:    %{name}-%{version}-usleep-fork-son.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: AIX-rpm >= 6.1.0.0
Requires:      AIX-rpm >= 6.1.0.0

%description
Tool for non-interactively performing password authentication with so called
"interactive keyboard password authentication" of SSH. Most users should use
more secure public key authentication of SSH instead.


%prep
%setup -q
%patch0


%build
export ac_cv_func_malloc_0_nonnull=yes
export CC="cc_r -qcpluscmt"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc AUTHORS COPYING ChangeLog NEWS
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Fri Nov 03 2017 Michael Perzl <michael@perzl.org> - 1.06-4
- first version for AIX V5.1 and higher
